=== debian/changelog ===
ros-iron-image-geometry (3.4.0-3jammy) jammy; urgency=high

  * Add fovX and fovY functions in python, cpp (#493 <https://github.com/ros-perception/vision_opencv/issues/493>)
  * Contributors: Chris Thierauf, Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-image-geometry (3.3.1-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 Sep 2022 16:00:00 -0000

ros-iron-image-geometry (3.3.0-3jammy) jammy; urgency=high

  * Add apache license and bsd license, because both are used. (#479 <https://github.com/ros-perception/vision_opencv/issues/479>)
  * Deprecate .h files in favor of .hpp headers (#448 <https://github.com/ros-perception/vision_opencv/issues/448>)
  * Reorganize author tag (#460 <https://github.com/ros-perception/vision_opencv/issues/460>)
  * Add description of MISSING_Z (#454 <https://github.com/ros-perception/vision_opencv/issues/454>)
  * Fix visibility of static const data member MISSING_Z (#442 <https://github.com/ros-perception/vision_opencv/issues/442>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Contributors: Kenji Brameld, Wolf Vollprecht

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 13 Sep 2022 16:00:00 -0000

ros-iron-image-geometry (3.0.3-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 31 Mar 2022 16:00:00 -0000

ros-iron-image-geometry (3.0.2-3jammy) jammy; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Forward ports from Noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * substituted missing sphinx extension (#417 <https://github.com/ros-perception/vision_opencv/issues/417>)
    * Fix rectifyRoi when used with binning and/or ROI (#378 <https://github.com/ros-perception/vision_opencv/issues/378>)
    * Implement unrectifyImage() (#359 <https://github.com/ros-perception/vision_opencv/issues/359>)
    * Add equidistant distortion model (#358 <https://github.com/ros-perception/vision_opencv/issues/358>)
  * Contributors: Chris Lalancette, Martin Günther, Michael Carroll, Paddy

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jan 2022 16:00:00 -0000

ros-iron-image-geometry (3.0.1-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-image-geometry (3.0.0-3jammy) jammy; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * fix windows build for image_geometry (#388 <https://github.com/ros-perception/vision_opencv/issues/388>)
  * Contributors: Evan Flynn, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Jan 2022 16:00:00 -0000

ros-iron-image-geometry (2.2.1-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 15 Jul 2020 16:00:00 -0000

ros-iron-image-geometry (2.2.0-3jammy) jammy; urgency=high

  * Updated fromCameraInfo function to match ROS2 CameraInfo message (#295 <https://github.com/ros-perception/vision_opencv/issues/295>)
  * Contributors: Luca Della Vedova

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 26 May 2020 16:00:00 -0000

ros-iron-image-geometry (2.1.3-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-iron-image-geometry (2.1.2-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 29 May 2019 16:00:00 -0000

ros-iron-image-geometry (2.1.1-3jammy) jammy; urgency=high

  * [image_geometry] Enable python package installation (#257 <https://github.com/ros-perception/vision_opencv/issues/257>)
    * [image_geometry] Install python package.
  * Contributors: Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 25 Apr 2019 16:00:00 -0000

ros-iron-image-geometry (2.1.0-3jammy) jammy; urgency=high

  * python 3 compatibility in test (#244 <https://github.com/ros-perception/vision_opencv/issues/244>)
  * Ros2 revert handmade message initialization (#245 <https://github.com/ros-perception/vision_opencv/issues/245>)
    * revert initialization in PinholeCameraModel constructor (https://github.com/ros2/vision_opencv/pull/1/commits/d2e5edb207c58a54737c4949efe0ac9d4e638962)
    * revert message initialization in tests (https://github.com/ros2/vision_opencv/commit/ecbcd64c014a1ac21a831b55b43df8bc47e5c7ac)
  * Contributors: Mikael Arguedas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 25 Nov 2018 16:00:00 -0000

ros-iron-image-geometry (2.0.5-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 16 Aug 2018 16:00:00 -0000

ros-iron-image-geometry (2.0.4-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 13 Aug 2018 16:00:00 -0000

ros-iron-image-geometry (2.0.3-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 06 Aug 2018 16:00:00 -0000

ros-iron-image-geometry (2.0.2-3jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 28 Jun 2018 16:00:00 -0000

ros-iron-image-geometry (2.0.1-3jammy) jammy; urgency=high

  * Mikael Arguedas claiming image_geometry maintainership (#230 <https://github.com/ros-perception/vision_opencv/issues/230>)
  * Contributors: Mikael Arguedas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 27 Jun 2018 16:00:00 -0000

ros-iron-image-geometry (2.0.0-3jammy) jammy; urgency=high

  * Port image_geometry to ROS2. (#1)
  * remove dependency on boost given that we dont use it anymore (#4)
  * avoid passing std::vector to/from cv::projectPoints
  * Make sure to export include directories from image_geometry. (#5)
  * Build the image_geometry library shared. (#7)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Use upstream opencv2. (#8)
  * Revert "avoid passing std::vector to/from cv::projectPoints" (#9)

